{% extends 'frontpage/base.html' %}
    
    {% block nav_item_jadwalku %}active{% endblock nav_item_jadwalku %}
    
    {% block content_block %}
   
    <div class="container">
        <h1 class="judul col-sm-9">JadwalKU</h1>
    </div>

    <div class="container">
        <div class="row">
            <div class=" col-md-9 p-5">

            {% if kegiatan_list %}
                <table class="table table-hover">
                    <thead class="thead-light">
                        <th>Nama Kegiatan</th>
                        <th>Kategori</th>
                        <th>Tanggal</th>
                        <th>Tempat</th>
                    </thead>    
                
                {% for kegiatan in kegiatan_list %}
                    <div class="jadwal-items">
                        <tr> 
                            <td>{{ kegiatan.nama_kegiatan }}</td>
                            <td>{{ kegiatan.kategori }}</td>
                            <td>{{ kegiatan.tanggal }}</td>
                            <td>{{ kegiatan.tempat }}</td>
                            <td><a  class="btn btn-danger btn-sm align-middle" href="{% url 'jadwalku:delete' kegiatan.id %}">delete</a></td>
                        </tr>
                    </div>
                   
                {% endfor %}
                </table>

            {% else %}
                <p>Tidak Ada Jadwal!</p>
            {% endif %}
            </div>
            <div class="col-md-3 card tambah-kegiatan-container container">
                <div class="card-header container-judul-tambah-kegiatan">
                    <h2>Tambah Kegiatan</h2>
                </div>
                <div class="card-body">
                    <form action="{% url 'jadwalku:jadwal' %}" method="POST">
                        {% csrf_token %}
                        {{form.as_p}}
                        <input type="submit" class="btn btn-primary" value="Tambah" style="float: right;">
                    </form>
                </div>     
            </div>
        </div>
    </div>
        
        

    {% endblock %}

    
    
